> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get users invited by current user

> Return all users who joined via the current user's invite code.



## OpenAPI

````yaml /openapi.json get /api/v1/user/invited
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/user/invited:
    get:
      tags:
        - User
      summary: Get users invited by current user
      description: Return all users who joined via the current user's invite code.
      operationId: get_invited_users_api_v1_user_invited_get
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitedListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    InvitedListResponse:
      properties:
        invited:
          items:
            $ref: '#/components/schemas/InvitedUserResponse'
          type: array
          title: Invited
        total:
          type: integer
          title: Total
      type: object
      required:
        - invited
        - total
      title: InvitedListResponse
      description: List of invited users.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvitedUserResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          title: Email
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatarurl
        isBusiness:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isbusiness
        status:
          $ref: '#/components/schemas/InvitedStatus'
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - email
        - status
        - createdAt
      title: InvitedUserResponse
      description: A single invited user.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    InvitedStatus:
      type: string
      enum:
        - invited
        - kyb_pending
        - verified
      title: InvitedStatus
      description: Status of an invited user along the KYB funnel.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````